Problem Installing on Jaunty

Bug #390808 reported by Ian Barton on 2009-06-22
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
byobu
Critical
Dustin Kirkland 

Bug Description

I am installing the package from the PPA on Jaunty 32 bit. I get the following errors:

Reading state information... Done
Suggested packages:
  byobu-extras
The following NEW packages will be installed
  byobu
0 upgraded, 1 newly installed, 0 to remove and 28 not upgraded.
Need to get 0B/48.3kB of archives.
After this operation, 410kB of additional disk space will be used.
Selecting previously deselected package byobu.
(Reading database ... 190200 files and directories currently installed.)
Unpacking byobu (from .../byobu_2.14-0ubuntu1~ppa3_all.deb) ...
Processing triggers for man-db ...
Setting up byobu (2.14-0ubuntu1~ppa3) ...
dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/screen by byobu'
  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
dpkg: error processing byobu (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 byobu
E: Sub-process /usr/bin/dpkg returned an error code (1)

Ian.

Related branches

Changed in byobu:
assignee: nobody → Dustin Kirkland (kirkland)
importance: Undecided → Critical
status: New → In Progress
Changed in byobu:
status: In Progress → Fix Released
RJP Computing (rpusztai) wrote :

I am still getting an error on Jaunty x86_64.

Here is the error.
$ sudo aptitude install byobu byobu-extras
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following NEW packages will be installed:
  byobu byobu-extras screen{a}
0 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/693kB of archives. After unpacking 1577kB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Selecting previously deselected package screen.
(Reading database ... 163634 files and directories currently installed.)
Unpacking screen (from .../screen_4.0.3-11ubuntu4_amd64.deb) ...
Selecting previously deselected package byobu.
Unpacking byobu (from .../byobu_2.15-0ubuntu1~ppa3_all.deb) ...
Selecting previously deselected package byobu-extras.
Unpacking byobu-extras (from .../byobu-extras_2.15-0ubuntu1~ppa3_all.deb) ...
Processing triggers for man-db ...
Setting up screen (4.0.3-11ubuntu4) ...
stat: cannot stat `/usr/bin/screen': No such file or directory
[: 10: -lt: unexpected operator

Setting up byobu (2.15-0ubuntu1~ppa3) ...
dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/screen by byobu'
  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
dpkg: error processing byobu (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of byobu-extras:
 byobu-extras depends on byobu; however:
  Package byobu is not configured yet.
dpkg: error processing byobu-extras (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
      Errors were encountered while processing:
 byobu
 byobu-extras
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up byobu (2.15-0ubuntu1~ppa3) ...
dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/screen by byobu'
  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
dpkg: error processing byobu (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of byobu-extras:
 byobu-extras depends on byobu; however:
  Package byobu is not configured yet.
dpkg: error processing byobu-extras (--configure):
 dependency problems - leaving unconfigured
Errors were encountered while processing:
 byobu
 byobu-extras
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

Is there something I can do to manually fix this?
--
Ryan

Download full text (3.4 KiB)

This should have worked if you did:
 $ sudo aptitude dist-upgrade

You can manually fix this with sudo aptitude purge screen-profiles
screen-profiles-extras screen, and then sudo aptitude install screen
byobu byobu-extras

:-Dustin

On Tue, Jun 23, 2009 at 8:24 AM, RJP Computing<email address hidden> wrote:
> I am still getting an error on Jaunty x86_64.
>
> Here is the error.
> $ sudo aptitude install byobu byobu-extras
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Reading extended state information
> Initializing package states... Done
> The following NEW packages will be installed:
>  byobu byobu-extras screen{a}
> 0 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B/693kB of archives. After unpacking 1577kB will be used.
> Do you want to continue? [Y/n/?] y
> Writing extended state information... Done
> Selecting previously deselected package screen.
> (Reading database ... 163634 files and directories currently installed.)
> Unpacking screen (from .../screen_4.0.3-11ubuntu4_amd64.deb) ...
> Selecting previously deselected package byobu.
> Unpacking byobu (from .../byobu_2.15-0ubuntu1~ppa3_all.deb) ...
> Selecting previously deselected package byobu-extras.
> Unpacking byobu-extras (from .../byobu-extras_2.15-0ubuntu1~ppa3_all.deb) ...
> Processing triggers for man-db ...
> Setting up screen (4.0.3-11ubuntu4) ...
> stat: cannot stat `/usr/bin/screen': No such file or directory
> [: 10: -lt: unexpected operator
>
> Setting up byobu (2.15-0ubuntu1~ppa3) ...
> dpkg-divert: mismatch on package
>  when removing `diversion of /usr/bin/screen by byobu'
>  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
> dpkg: error processing byobu (--configure):
>  subprocess post-installation script returned error exit status 2
> dpkg: dependency problems prevent configuration of byobu-extras:
>  byobu-extras depends on byobu; however:
>  Package byobu is not configured yet.
> dpkg: error processing byobu-extras (--configure):
>  dependency problems - leaving unconfigured
> No apport report written because the error message indicates its a followup error from a previous failure.
>      Errors were encountered while processing:
>  byobu
>  byobu-extras
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install.  Trying to recover:
> Setting up byobu (2.15-0ubuntu1~ppa3) ...
> dpkg-divert: mismatch on package
>  when removing `diversion of /usr/bin/screen by byobu'
>  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
> dpkg: error processing byobu (--configure):
>  subprocess post-installation script returned error exit status 2
> dpkg: dependency problems prevent configuration of byobu-extras:
>  byobu-extras depends on byobu; however:
>  Package byobu is not configured yet.
> dpkg: error processing byobu-extras (--configure):
>  dependency problems - leaving unconfigured
> Errors were encountered while processing:
>  byobu
>  byobu-extras
> Reading package lists... Done
> Building dependency tree
> Reading state information... Done
> Reading extended state information
> Initializing pac...

Read more...

Ian Barton (ian-manor-farm) wrote :
Download full text (3.3 KiB)

I am getting the errors below after doing a sudo aptitude purge screen-profiles
screen-profiles-extras screen.

Ian.

ian@scamper:~$ sudo aptitude install screen byobu byobu-extras
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initialising package states... Done
The following NEW packages will be installed:
  byobu byobu-extras python-newt{a} screen
0 packages upgraded, 4 newly installed, 0 to remove and 1 not upgraded.
Need to get 663kB/711kB of archives. After unpacking 1741kB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Get:1 http://ppa.launchpad.net jaunty/main byobu-extras 2.15-0ubuntu1~ppa3 [18.0kB]
Get:2 http://gb.archive.ubuntu.com jaunty/main screen 4.0.3-11ubuntu4 [605kB]
Get:3 http://gb.archive.ubuntu.com jaunty/main python-newt 0.52.2-11.3ubuntu3 [39.9kB]
Fetched 663kB in 3s (206kB/s)
Selecting previously deselected package screen.
(Reading database ... 190481 files and directories currently installed.)
Unpacking screen (from .../screen_4.0.3-11ubuntu4_i386.deb) ...
Selecting previously deselected package python-newt.
Unpacking python-newt (from .../python-newt_0.52.2-11.3ubuntu3_i386.deb) ...
Selecting previously deselected package byobu.
Unpacking byobu (from .../byobu_2.15-0ubuntu1~ppa3_all.deb) ...
Selecting previously deselected package byobu-extras.
Unpacking byobu-extras (from .../byobu-extras_2.15-0ubuntu1~ppa3_all.deb) ...
Processing triggers for man-db ...
Setting up screen (4.0.3-11ubuntu4) ...
stat: cannot stat `/usr/bin/screen': No such file or directory
[: 10: -lt: unexpected operator

Setting up python-newt (0.52.2-11.3ubuntu3) ...

Setting up byobu (2.15-0ubuntu1~ppa3) ...
dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/screen by byobu'
  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
dpkg: error processing byobu (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of byobu-extras:
 byobu-extras depends on byobu; however:
  Package byobu is not configured yet.
dpkg: error processing byobu-extras (--configure):
 dependency problems - leaving unconfigured
No apport report written because the error message indicates its a followup error from a previous failure.
                                                                                                          Errors were encountered while processing:
 byobu
 byobu-extras
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up byobu (2.15-0ubuntu1~ppa3) ...
dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/screen by byobu'
  found `diversion of /usr/bin/screen to /usr/bin/screen.real by screen-profiles'
dpkg: error processing byobu (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of byobu-extras:
 byobu-extras depends on byobu; however:
  Package byobu is not configured yet.
dpkg: error processing byobu-extras (--configure):
 dependen...

Read more...

RJP Computing (rpusztai) wrote :
Download full text (4.3 KiB)

On Tue, Jun 23, 2009 at 9:37 AM, Dustin Kirkland
<email address hidden>wrote:

> This should have worked if you did:
> $ sudo aptitude dist-upgrade
>
> You can manually fix this with sudo aptitude purge screen-profiles
> screen-profiles-extras screen, and then sudo aptitude install screen
> byobu byobu-extras
>
> :-Dustin

OK so I tried a 'dist-upgrade' and the same error occurs.

Then I tried the manual way you described. I still get errors. Here is the
output:

$ sudo aptitude purge screen-profiles screen-profiles-extras screen
byobu-extras byobu
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following packages will be REMOVED:
  byobu{p} byobu-extras{p} screen{p}
0 packages upgraded, 0 newly installed, 3 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 1577kB will be freed.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
(Reading database ... 163771 files and directories currently installed.)
Removing byobu-extras ...
Removing byobu ...
Purging configuration files for byobu ...
Removing screen ...
Purging configuration files for screen ...
Processing triggers for man-db ...
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
Writing extended state information... Done

rpusztai@g3630-ubuntu:~$ sudo aptitude install by
byacc bygfoot byobu byobu-extras byzanz
rpusztai@g3630-ubuntu:~$ sudo aptitude install byobu byobu-extras
Reading package lists... Done
Building dependency tree
Reading state information... Done
Reading extended state information
Initializing package states... Done
The following NEW packages will be installed:
  byobu byobu-extras screen{a}
0 packages upgraded, 3 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B/693kB of archives. After unpacking 1577kB will be used.
Do you want to continue? [Y/n/?] y
Writing extended state information... Done
Selecting previously deselected package screen.
(Reading database ... 163630 files and directories currently installed.)
Unpacking screen (from .../screen_4.0.3-11ubuntu4_amd64.deb) ...
Selecting previously deselected package byobu.
Unpacking byobu (from .../byobu_2.15-0ubuntu1~ppa3_all.deb) ...
Selecting previously deselected package byobu-extras.
Unpacking byobu-extras (from .../byobu-extras_2.15-0ubuntu1~ppa3_all.deb)
...
Processing triggers for man-db ...
Setting up screen (4.0.3-11ubuntu4) ...
stat: cannot stat `/usr/bin/screen': No such file or directory
[: 10: -lt: unexpected operator

Setting up byobu (2.15-0ubuntu1~ppa3) ...
dpkg-divert: mismatch on package
  when removing `diversion of /usr/bin/screen by byobu'
  found `diversion of /usr/bin/screen to /usr/bin/screen.real by
screen-profiles'
dpkg: error processing byobu (--configure):
 subprocess post-installation script returned error exit status 2
dpkg: dependency problems prevent configuration of byobu-extras:
 byobu-extras depends on byobu; however:
  Package byobu is not configured yet.
dpkg: error proce...

Read more...

RJP Computing (rpusztai) wrote :

Hi Dustin,

I got the latest release and still can not install screen. Here is a snippet from the install output:

Setting up screen (4.0.3-11ubuntu4) ...
stat: cannot stat `/usr/bin/screen': No such file or directory
[: 10: -lt: unexpected operator

Any ideas? I can't even use screen now?

Dustin Kirkland  (kirkland) wrote :

RJP-

What is the output of:
 $ ls -alF /usr/bin/screen*

I suspect that your diversion is still in place.

:-Dustin

RJP Computing (rpusztai) wrote :

On Thu, Jun 25, 2009 at 9:47 AM, Dustin Kirkland
<email address hidden>wrote:

> RJP-
>
> What is the output of:
> $ ls -alF /usr/bin/screen*
>
> I suspect that your diversion is still in place.

$ ls -alF /usr/bin/screen*
-rwxr-xr-x 1 root root 10408 2009-04-09 20:52 /usr/bin/screendump*
lrwxrwxrwx 1 root root 23 2009-06-25 09:26 /usr/bin/screen-launcher ->
/usr/bin/byobu-launcher*
lrwxrwxrwx 1 root root 21 2009-06-25 09:26
/usr/bin/screen-profiles-status -> /usr/bin/byobu-status*
-rwxr-sr-x 1 root utmp 371936 2009-02-11 07:29 /usr/bin/screen.real*

Hope this helps.
--
Regards,
Ryan

Dustin Kirkland  (kirkland) wrote :

RJP-

Okay, yes, as I suspected, you have /usr/bin/screen.real but no
/usr/bin/screen. This means that the diversion was not cleaned up
properly. There was a bad release somewhere in the past couple of
days, that I've since rectified. I think you picked up that one,
unfortunately.

To solve the problem, you can edit /var/lib/dpkg/diversions, and
remove the following 3 contiguous lines:

/usr/bin/screen
/usr/bin/screen.real
screen-profiles

And then you should be able to sudo apt-get install screen again.

:-Dustin

RJP Computing (rpusztai) wrote :

On Thu, Jun 25, 2009 at 10:44 AM, Dustin Kirkland <<email address hidden>
> wrote:

> RJP-
>
> Okay, yes, as I suspected, you have /usr/bin/screen.real but no
> /usr/bin/screen. This means that the diversion was not cleaned up
> properly. There was a bad release somewhere in the past couple of
> days, that I've since rectified. I think you picked up that one,
> unfortunately.
>
> To solve the problem, you can edit /var/lib/dpkg/diversions, and
> remove the following 3 contiguous lines:
>
> /usr/bin/screen
> /usr/bin/screen.real
> screen-profiles
>
> And then you should be able to sudo apt-get install screen again.
>
> :-Dustin
>

That fixed it. Thanks. In fact Byobu now works as well. Thanks.
--
Regards,
Ryan

Ian Barton (ian-manor-farm) wrote :

Thanks, editing the diversions script and doing a purge and re-install has fixed it for me too. Both screen and byobu now work correctly.

Ian.

Dustin Kirkland  (kirkland) wrote :

On Fri, Jun 26, 2009 at 3:07 AM, Ian Barton<email address hidden> wrote:
> Thanks, editing the diversions script and doing a purge and re-install
> has fixed it for me too. Both screen and byobu now work correctly.

Okay, I'll reopen this bug and try to upload something that ensures
that the diversion drop works.

:-Dustin

Changed in byobu:
status: Fix Released → In Progress
Changed in byobu:
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers